[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| Utilities to manage pixel neighborhoods |

## Namespaces

namespace | vigra::EightNeighborhood
namespace | vigra::FourNeighborhood

## Classes

class | NeighborOffsetCirculator
| Circulator that walks around a given location. More...

## Typedefs

typedef EightNeighborhood::NeighborCode | EightNeighborCode
typedef NeighborOffsetCirculator < EightNeighborCode > | EightNeighborOffsetCirculator
typedef FourNeighborhood::NeighborCode | FourNeighborCode
typedef NeighborOffsetCirculator < FourNeighborCode > | FourNeighborOffsetCirculator

## Enumerations

enum | AtImageBorder { NotAtBorder = 0, RightBorder = 1, LeftBorder = 2, TopBorder = 4, BottomBorder = 8, FrontBorder = 16 }
| Encode whether a point is near the image border. More...

## Functions

AtImageBorder | isAtImageBorder (int x, int y, int width, int height)
| Find out whether a point is at the image border.

## Detailed Description

4- and 8-neighborhood definitions and circulators.

#include <vigra/pixelneighborhood.hxx>

See also: vigra::NeighborhoodCirculator

## Typedef Documentation

typedef FourNeighborhood::NeighborCode FourNeighborCode

Export vigra::FourNeighborhood::NeighborCode into the scope of namespace vigra.

typedef EightNeighborhood::NeighborCode EightNeighborCode

Export vigra::EightNeighborhood::NeighborCode into the scope of namespace vigra.

typedef NeighborOffsetCirculator<EightNeighborCode> EightNeighborOffsetCirculator

Specialization of NeighborOffsetCirculator for 8-neighborhood.

typedef NeighborOffsetCirculator<FourNeighborCode> FourNeighborOffsetCirculator

Specialization of NeighborOffsetCirculator for 4-neighborhood.

## Enumeration Type Documentation

enum AtImageBorder

Encode whether a point is near the image border.

This enum is used with isAtImageBorder() and vigra::RestrictedNeighborhoodCirculator.

#include <vigra/pixelneighborhood.hxx>
Namespace: vigra

Enumerator:

  NotAtBorder |
  RightBorder |
  LeftBorder |
  TopBorder |
  BottomBorder |
  FrontBorder |

## Function Documentation

AtImageBorder vigra::isAtImageBorder | ( | int | x,
|  | int | y,
|  | int | width,
|  | int | height |
| ) |  |  |

Find out whether a point is at the image border.

This function checks if x == 0 or x == width - 1 and y == 0 or y == height - 1 and returns the appropriate value of vigra::AtImageBorder, or zero when the point is not at te image border. The behavior of the function is undefined if (x,y) is not inside the image.

#include <vigra/pixelneighborhood.hxx>
Namespace: vigra

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python VIGRA 1.6.0 (13 Aug 2008)